package io.renren.common.constant;


import io.renren.common.utils.export.JxlsTemplate;

/**
 * Created by xk on 2017/12/4 0004.
 */
public enum JxlsTemplateEnum implements JxlsTemplate {

    DONE_TASK_LIST("/template/doneTaskTest.xlsx", "审批请单.xlsx"),
    DEV_YLRQ_LIST("/template/ylrqExport.xlsx", "压力容器设备请单.xlsx"),
    DEV_YLGD_LIST("/template/ylgdExport.xlsx", "压力管道设备请单.xlsx"),
    DEV_DZSB_LIST("/template/dzsbExport.xlsx", "起重机械设备请单.xlsx"),
    DEV_GL_LIST("/template/glExport.xlsx", "锅炉设备请单.xlsx"),
    DEV_DT_LIST("/template/dtExport.xlsx", "电梯设备请单.xlsx"),
    DEV_CC_LIST("/template/ccExport.xlsx", "叉车设备请单.xlsx"),
    DEV_TANK_LIST("/template/tankExport.xlsx", "常压罐设备请单.xlsx"),
    DEV_YLRQ_UPDATE("/template/ylrqInspectionInfo.xlsx", "压力容器检验信息更新清单.xlsx"),
    DEV_YLGD_UPDATE("/template/ylgdInspectionInfo.xlsx", "压力管道检验信息更新清单.xlsx"),
    DEV_DZSB_UPDATE("/template/dzsbInspectionInfo.xlsx", "起重机械检验信息更新清单.xlsx"),
    DEV_GL_UPDATE("/template/glInspectionInfo.xlsx", "锅炉设备检验信息更新清单.xlsx"),
    DEV_DT_UPDATE("/template/dtInspectionInfo.xlsx", "电梯设备检验信息更新清单.xlsx"),
    DEV_CC_UPDATE("/template/ccInspectionInfo.xlsx", "叉车设备检验信息更新清单.xlsx");

    private String path;
    private String name;

    JxlsTemplateEnum(String path, String name) {
        this.path = path;
        this.name = name;
    }

    @Override
    public String getPath() {
        return this.path;
    }

    @Override
    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
